Activate card for customer

Activates a physical card ordered via bulkOrderCard, linking it to a customer account and optionally creating a new customer if one doesn't exist.

If needed, a PIN can be set during activation. All operations are atomic—any failure rolls back the entire operation.

After receiving their card, the cardholder is to call this endpoint to register an account in UnDosTres and activate the card.

Also, you can activate several cards for the same account in case of enterprise users creation.

You will provide customer_id in the request body, it will associate the new card with the existing customer.

Accounts with a Composite Balance can also use this endpoint to register and activate their accounts.
You can learn more about these accounts here: Composite Balance


Example 1: Only customer_id provided

{
  "customer_id": "12345678",
  "card_identifier": "CARD-001",
  "reference_batch": "7e4b85e27c4610824900af48f340394d"
}

Example 2: When using Composite Balance (only for Credit Engine)

In case of a Composite Balance, a parameter balance is required.
It must be an object containing the balance identifier.

{
  "pin": "1234",
  "card_identifier": "CARD001",
  "reference_batch": "7e4b85e27c4610824900af48f340394d",
  "device_id": "2fc54683d5fad405360419f720457ccbcf9bacac414f6296f846e2e4fad99d47",
  "customer_id": "85",
  "balance": {
    "id": 10249
  }
}

Response Examples

Successful response (200)
{
  "text": "Success",
  "timestamp": "2024-11-15T14:32:18.123Z",
  "endpoint": "debit/v1/activateCardForCustomer",
  "error": {},
  "payload": {
    "card_id": "card_987654321",
    "customer_id": "12345678",
    "status": "activated"
  }
}
Error response examples (400)

Error code 4400 - Reference batch mismatch:

{
  "text": "Error",
  "timestamp": "2025-11-18T11:50:57.960232171-06:00",
  "endpoint": "/debit/v1/activateCardForCustomer",
  "error": {
    "code": 4400,
    "hints": [
      "Bad parameters request, please refer the documentation",
      "Mismatch in reference batch."
    ]
  },
  "payload": {}
}

Error code 4433 - Card already activated:

{
  "text": "Error",
  "timestamp": "2025-11-18T11:50:57.960232171-06:00",
  "endpoint": "/debit/v1/activateCardForCustomer",
  "error": {
    "code": 4433,
    "hints": [
      "Card has already been activated"
    ]
  },
  "payload": {}
}
Error response example (500)

Error code 7000 - Server error:

{
  "text": "Error",
  "timestamp": "2025-11-18T11:50:57.960232171-06:00",
  "endpoint": "/debit/v1/activateCardForCustomer",
  "error": {
    "code": 7000,
    "text": "Server error",
    "hints": [
      "Please contact the customer care",
      "rfc:invalid"
    ]
  },
  "payload": {}
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The same card_identifier string that was originally sent to the bulkOrderCard endpoint

customer
object
string

The same id that is returned from this endpoint.
If present, the customer is assumed to have already been created
Either 'customer' or 'customer_id' must be provided (but not both are required).

string

The card’s Personal Identification Number (PIN). Must be exactly 4 numerical characters in length. If PIN is present in the request, the change pin functionality will be executed, and it'll be the new PIN.

string
required

The same identifier for the batch that was returned from the bulkOrderCard endpoint

balance
object

This object is required only in case of Composite Balance.

Headers
string
required

OAuth token belonging to the e-commerce

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json